Add a document to a workspace via file contents upload
Note: This endpoint is in beta.
This operation adds a document to a workspace via file contents upload. The file is passed in the request body as a multipart/form-data file. The file name is used as the document name.
Once added, it may be used to create an envelope associated with the workspace.
Required authentication scopes: dtr.documents.write
Authentication
AuthorizationBearer
JWT Bearer token from Docusign authorization server
Path parameters
accountId
The ID of the account
workspaceId
The ID of the workspace
Request
This endpoint expects a multipart form containing an optional file.
file
The file within the multipart/form-data. Maximum allowed size: 50MB
Response
Document successfully added
document_id
name
owner_id
size
created_date
last_updated_date
owner
Errors
400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error